CWGraphInternal::ZoneUnknown Struct Reference

Internal: structure used to store an unknown zone of a CWGraph. More...

Inheritance diagram for CWGraphInternal::ZoneUnknown:

## Public Member Functions

| ZoneUnknown (Zone const &z)
| construtor More...
virtual void | print (std::ostream &o) const
| print the zone More...
virtual Type | getType () const
| return the main type More...
virtual Type | getSubType () const
| return the sub type More...
virtual int | getNumData () const
| return the number of data More...
virtual CWStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from CWGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...

## Public Attributes

Type | m_type
| the sub type More...
int | m_typeId
| type number More...
Public Attributes inherited from CWGraphInternal::Zone
int | m_page
| the page (checkme: or frame linked ) More...
Box2i | m_box
| the bdbox More...
Style | m_style
| the style More...

## Additional Inherited Members

Public Types inherited from CWGraphInternal::Zone
enum | Type { T_Zone, T_Basic, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie, T_Bitmap }
| the list of types More...

## Detailed Description

Internal: structure used to store an unknown zone of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::ZoneUnknown::ZoneUnknown | ( | Zone const & | z | ) |

inline

construtor

## Member Function Documentation

virtual CWStruct::DSET::Child CWGraphInternal::ZoneUnknown::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented from CWGraphInternal::Zone.

virtual int CWGraphInternal::ZoneUnknown::getNumData | ( |  | ) | const

inline virtual

return the number of data

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneUnknown::getSubType | ( |  | ) | const

inline virtual

return the sub type

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneUnknown::getType | ( |  | ) | const

inline virtual

return the main type

Reimplemented from CWGraphInternal::Zone.

virtual void CWGraphInternal::ZoneUnknown::print | ( | std::ostream & | o | ) | const

inline virtual

print the zone

Reimplemented from CWGraphInternal::Zone.

## Member Data Documentation

Type CWGraphInternal::ZoneUnknown::m_type

the sub type

Referenced by getNumData(), getSubType(), getType(), print(), and CWGraph::readGroupDef().

int CWGraphInternal::ZoneUnknown::m_typeId

type number

Referenced by print(), and CWGraph::readGroupDef().

The documentation for this struct was generated from the following file:

- CWGraph.cxx